import * as React from "react";
import { SVGProps } from "react";

import { IiCon } from "@/(types)/IconInterface";
import styles from "@/icons/IconFills.module.scss";

export const TitleIcon = ({ color, width = "26px", height = "24px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 26 24"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            fill={fill}
            // eslint-disable-next-line max-len
            d="M8.23438 4.375L14.1719 20C14.3672 20.4688 14.1328 21.0156 13.625 21.2109C13.1562 21.4062 12.6094 21.1328 12.4141 20.6641L10.9688 16.875H3.74219L2.29688 20.6641C2.10156 21.1328 1.55469 21.4062 1.08594 21.2109C0.617188 21.0156 0.34375 20.4688 0.539062 20L6.47656 4.375C6.63281 4.02344 6.98438 3.75 7.375 3.75C7.76562 3.75 8.07812 4.02344 8.23438 4.375ZM10.2656 15L7.375 7.34375L4.44531 15H10.2656ZM24.5625 8.75C25.0703 8.75 25.5 9.17969 25.5 9.6875V20.3125C25.5 20.8594 25.0703 21.25 24.5625 21.25C24.0156 21.25 23.625 20.8594 23.625 20.3125V20C22.7266 20.7812 21.5938 21.25 20.3438 21.25C17.6484 21.25 15.5 19.1016 15.5 16.4062V13.5938C15.5 10.9375 17.6484 8.75 20.3438 8.75C21.5938 8.75 22.7266 9.25781 23.625 10.0391V9.6875C23.625 9.17969 24.0156 8.75 24.5625 8.75ZM17.375 13.5938V16.4062C17.375 18.0469 18.7031 19.375 20.3438 19.375C21.9844 19.375 23.3125 18.0469 23.3125 16.4062V13.5938C23.3125 11.9531 21.9844 10.625 20.3438 10.625C18.7031 10.625 17.375 11.9531 17.375 13.5938Z"
        />
    </svg>
);
